const cron = require('node-cron');
const { exec } = require('child_process');

function executeTask() {
    console.log(`Tarefa do arquivo enviar.js executada em: ${new Date().toLocaleTimeString()}`);
    exec('node enviar.js', (error, stdout, stderr) => {
        if (error) {
            console.error(`Erro na execução de enviar.js: ${error.message}`);
            return;
        }
        if (stderr) {
            console.error(`Erro de saída de enviar.js: ${stderr}`);
            return;
        }
        console.log(`Resultado de enviar.js:\n${stdout}`);
    });
}
cron.schedule('0 2 * * *', () => {
    executeTask();
});
console.log('Cron rodando em enviar.js...');